Bug 844876 - socket ignored warning message appears when pulling down snapshot for scaling apps
socket ignored warning message appears when pulling down snapshot for scaling...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Rob Millner
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 02:20 EDT by Meng Bo
Modified: 2015-05-14 18:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: libra_ami #2010
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:29:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-08-01 02:20:45 EDT
Description of problem:
Create scalable app and try to take snapshot for it, one line warning "/bin/tar: ./3ca516434f3e4b15b3651ef5fb8ee50a/haproxy-1.4/run/stats: socket ignored" appears during the tar.gz creating.

Version-Release number of selected component (if applicable):
cartridge-haproxy-1.4-0.13.4-1.el6_3.noarch
devenv_1931

How reproducible:
always

Steps to Reproduce:
1.Create scalable app of any type
2.Take snapshot for the app
3.
  
Actual results:
Warning "/bin/tar: ./3ca516434f3e4b15b3651ef5fb8ee50a/haproxy-1.4/run/stats: socket ignored" appears during the tar.gz creating.

Expected results:
Should not have such warning.

Additional info:

[root@F17x64-openshift openshiftttest]# rhc app snapshot save -a py1s
Pulling down a snapshot to py1s.tar.gz...

Stopping application...
Done
Creating and sending tar.gz
/bin/tar: ./3ca516434f3e4b15b3651ef5fb8ee50a/haproxy-1.4/run/stats: socket ignored
Starting application...
Done
Comment 1 Rob Millner 2012-08-01 19:02:48 EDT
Pull request https://github.com/openshift/crankcase/pull/316
Comment 2 Rob Millner 2012-08-01 20:24:50 EDT
Pull request accepted.
Comment 3 Chandrika Gole 2012-08-02 16:18:23 EDT
Can still reproduce this on devenv_1934


dhcp-32-230:apps chandrikagole$ rhc-snapshot  -a php 
Password: 

Pulling down a snapshot to php.tar.gz...

Stopping application...
Done
Creating and sending tar.gz
/bin/tar: ./5d7ad69f75654d59b91f359d287e3357/haproxy-1.4/run/stats: socket ignored
Starting application...
Done
Comment 4 Rob Millner 2012-08-16 15:26:54 EDT
Commit 424ee84 fixes ignoring the path to the stats socket.
Comment 5 Rob Millner 2012-08-16 15:36:39 EDT
Pull request opened for merge:
https://github.com/openshift/crankcase/pull/389
Comment 6 Rob Millner 2012-08-16 19:57:07 EDT
Pull request merged.
Comment 7 Meng Bo 2012-08-17 05:54:38 EDT
Checked on devenv_2010 with rhc-0.97.11, issue has been fixed.

=========
Submitting form:
rhlogin: bmeng+1@redhat.com
debug: true
Contacting https://ec2-107-22-39-136.compute-1.amazonaws.com
Pulling down a snapshot to perl1s.tar.gz...

Stopping application...
Waiting for stop to finish
Done
Creating and sending tar.gz
Starting application...
Done

Note You need to log in before you can comment on or make changes to this bug.